Subject: bug#39926: closed (Re: bug#39926: Regression introduced by Shepherd 0.7.0 ('make check-system TESTS=btrfs-root-os' fails))

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 19 Mar 2020 22:22:02 +0000

Your bug report

#39926: Manual installation tests fail

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39926: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39926
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39926: Regression introduced by Shepherd 0.7.0 ('make check-system TESTS=btrfs-root-os' fails)
From: Ludovic Courtès <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Mar 2020 23:21:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Maxim,

Maxim Cournoyer <[email-masked]> skribis:

> Maxim Cournoyer <[email-masked]> writes:
>
> [...]
>
>> Comparing with the above uname output, we can see that it validates the
>> hostname matches against "liberigilo", yet it is "gnu"!  Perhaps
>> Shepherd 0.7.0 introduced some problem with the hostname service?
>
> Another data point: the same happen when running './pre-inst-env make
> check-system TESTS=installed-os', so this is not Btrfs specific.

Fixed by be0a672c30ad1401019abb5cb83d59be171813d0.

I wonder how this could have worked before: ‘reboot’ never gets a reply,
so it’s supposed to hang until it’s killed when the ‘user-processes’
service is stopped.

Thanks,
Ludo’.

Subject: Regression introduced by Shepherd 0.7.0 ('make check-system TESTS=btrfs-root-os' fails)
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Thu, 05 Mar 2020 09:23:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Recently, I noticed that 'make check-system TESTS=btrfs-root-os' stopped
working at all, even on master without my changes.

So, I've git bisected the faulty commit, and got:

--8<---------------cut here---------------start------------->8---
git bisect start
# good: [35cb2ac56cce1496c622958b53e82ba5d0c0ec48] gnu: Add queen.
git bisect good 35cb2ac56cce1496c622958b53e82ba5d0c0ec48
# bad: [a46174f457f7e558e67b7103074ee9ba92ada5dc] build: file-systems: Specify a "nfsvers" option by default for NFS.
git bisect bad a46174f457f7e558e67b7103074ee9ba92ada5dc
# bad: [532b318020748c035b43f83611899e4ba0875ae1] gnu: Add r-xmisc.
git bisect bad 532b318020748c035b43f83611899e4ba0875ae1
# bad: [7046106ef90e7855311dbb1f1ae9fed3df5cf875] gnu: upx: Clean up.
git bisect bad 7046106ef90e7855311dbb1f1ae9fed3df5cf875
# good: [a9546f8bb1fde766dc8ccd435b03aac1f720bd0f] gnu: go-github-com-certifi-gocertifi: Update to 2018.01.18-1.a5e0173
git bisect good a9546f8bb1fde766dc8ccd435b03aac1f720bd0f
# good: [53ddc6a71f6d7968734007f0b5325c66d9c6a33b] gnu: emacs-markdown-mode: Use HTTPS home page.
git bisect good 53ddc6a71f6d7968734007f0b5325c66d9c6a33b
# good: [1788bb9016a98d9c9412bc1611156d33f3f731d0] gnu: openscenegraph: Update to 3.6.5.
git bisect good 1788bb9016a98d9c9412bc1611156d33f3f731d0
# bad: [35f985cb52d7bc3d7e03d5db0a63da4dcf4d3322] gnu: guile-present: Use HTTPS home page.
git bisect bad 35f985cb52d7bc3d7e03d5db0a63da4dcf4d3322
# good: [d39885a8a9e0e03c2bf6277d475d384168bba642] gnu: python-reno: Update home page.
git bisect good d39885a8a9e0e03c2bf6277d475d384168bba642
# bad: [21f5de6d32a7d0e75ec2df69dc753a75a15657cd] gnu: openssh: Don't use NAME in source URI.
git bisect bad 21f5de6d32a7d0e75ec2df69dc753a75a15657cd
# bad: [139a9887843d0ea7dd724c4dd0d00470337370b3] gnu: shepherd: Add "guile3.0-shepherd" variant.
git bisect bad 139a9887843d0ea7dd724c4dd0d00470337370b3
# bad: [205c1e04e04b9a9338c7219ff82bd13f000fb8c8] gnu: shepherd: Update to 0.7.0.
git bisect bad 205c1e04e04b9a9338c7219ff82bd13f000fb8c8
# first bad commit: [205c1e04e04b9a9338c7219ff82bd13f000fb8c8] gnu: shepherd: Update to 0.7.0.
--8<---------------cut here---------------end--------------->8---

So, it seems that updating shepherd to 0.7.0 caused this regression
(commit 205c1e04e04b9a9338c7219ff82bd13f000fb8c8).

It probably causes other tests to fail in (gnu tests install), but I
haven't tried any.

Maxim